Сформировать PDF или CSV выписку
POST
/api/v1/banking/statements
const url = 'https://core.example.com/api/v1/banking/statements';const options = { method: 'POST', headers: {'session-token': '<session-token>', 'Content-Type': 'application/json'}, body: '{"bank_account_id":1,"statement_range":"2026-04-15","statement_range_to":"2026-04-15","format_file":"pdf","timezone":"UTC","bank_card_id":1,"outer_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://core.example.com/api/v1/banking/statements \ --header 'Content-Type: application/json' \ --header 'session-token: <session-token>' \ --data '{ "bank_account_id": 1, "statement_range": "2026-04-15", "statement_range_to": "2026-04-15", "format_file": "pdf", "timezone": "UTC", "bank_card_id": 1, "outer_id": "example" }'Banking-клиент передаёт поля на верхнем уровне; Rails ParamsWrapper формирует
объект statement для контроллера.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела « Parameters »Query Parameters
Заголовок раздела «Query Parameters»segregated_account_id
integer
ID business account, к которому имеет доступ текущий пользователь
Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Media typeapplication/json
object
bank_account_id
integer
statement_range
required
string format: date
statement_range_to
required
string format: date
format_file
string
timezone
required
string
bank_card_id
integer
outer_id
string
Responses
Заголовок раздела « Responses »PDF либо CSV
string format: binary
string format: binary
Ошибка авторизации, валидации или бизнес-правила
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}